searchNodes=[{"doc":"Documentation for Go.BoardGodash port to elixir godash url: https://github.com/duckpunch/godashAvril 2017, hf","ref":"Go.Board.html","title":"Go.Board","type":"module"},{"doc":"Add move to a board.","ref":"Go.Board.html#add_move/2","title":"Go.Board.add_move/2","type":"function"},{"doc":"Returns a list of valid adjacent coordinates.","ref":"Go.Board.html#adjacent_coordinates/2","title":"Go.Board.adjacent_coordinates/2","type":"function"},{"doc":"Returns the group for a given coordinate Recursive calculation differs from godash","ref":"Go.Board.html#group/2","title":"Go.Board.group/2","type":"function"},{"doc":"Returns the validity of a black move","ref":"Go.Board.html#is_legal_black_move/2","title":"Go.Board.is_legal_black_move/2","type":"function"},{"doc":"Returns the validity of a moveModified from godash implementation Original implementation create a new board to check if it will_have_liberties Instead, check if any of surrounding helping groups have more than 1 libThis does not check superko, as it needs history to validate ko rule. It is done when adding a move, by checking if next position + next_turn does not exists in history already.","ref":"Go.Board.html#is_legal_move/2","title":"Go.Board.is_legal_move/2","type":"function"},{"doc":"Returns the validity of a white move","ref":"Go.Board.html#is_legal_white_move/2","title":"Go.Board.is_legal_white_move/2","type":"function"},{"doc":"Returns the list of killed stones from a coordinate and color Not in godash","ref":"Go.Board.html#killed_stones/3","title":"Go.Board.killed_stones/3","type":"function"},{"doc":"Returns the list of liberties from a coordinate","ref":"Go.Board.html#liberties/2","title":"Go.Board.liberties/2","type":"function"},{"doc":"Returns the numbder of liberties from a coordinate","ref":"Go.Board.html#liberty_count/2","title":"Go.Board.liberty_count/2","type":"function"},{"doc":"Returns a list of matching adjacent coordinates It will try to guess the color if not specified","ref":"Go.Board.html#matching_adjacent_coordinates/2","title":"Go.Board.matching_adjacent_coordinates/2","type":"function"},{"doc":"Returns a list of matching adjacent coordinates For a given color","ref":"Go.Board.html#matching_adjacent_coordinates/3","title":"Go.Board.matching_adjacent_coordinates/3","type":"function"},{"doc":"Returns a new Board structure from a map.","ref":"Go.Board.html#new/1","title":"Go.Board.new/1","type":"function"},{"doc":"Returns the opposite color of a given one.","ref":"Go.Board.html#opposite_color/1","title":"Go.Board.opposite_color/1","type":"function"},{"doc":"Pass move. Not in original godash!","ref":"Go.Board.html#pass/2","title":"Go.Board.pass/2","type":"function"},{"doc":"Place one stone on the board.","ref":"Go.Board.html#place_stone/4","title":"Go.Board.place_stone/4","type":"function"},{"doc":"","ref":"Go.Board.html#place_stones/3","title":"Go.Board.place_stones/3","type":"function"},{"doc":"Remove the stone at the given location.","ref":"Go.Board.html#remove_stone/2","title":"Go.Board.remove_stone/2","type":"function"},{"doc":"","ref":"Go.Board.html#remove_stones/2","title":"Go.Board.remove_stones/2","type":"function"},{"doc":"Reset. Not in original godash!","ref":"Go.Board.html#reset/1","title":"Go.Board.reset/1","type":"function"},{"doc":"Like pass move, but does not change history state. Not in original godash!","ref":"Go.Board.html#toggle_turn/1","title":"Go.Board.toggle_turn/1","type":"function"},{"doc":"","ref":"Go.Board.html#t:color/0","title":"Go.Board.color/0","type":"type"},{"doc":"","ref":"Go.Board.html#t:coordinate/0","title":"Go.Board.coordinate/0","type":"type"},{"doc":"","ref":"Go.Board.html#t:list_of_coordinates/0","title":"Go.Board.list_of_coordinates/0","type":"type"},{"doc":"","ref":"Go.Board.html#t:move/0","title":"Go.Board.move/0","type":"type"},{"doc":"","ref":"Go.Board.html#t:t/0","title":"Go.Board.t/0","type":"type"},{"doc":"Documentation for Go.CoordinateTo be more compliant with Ecto and JSON, this entity replace old tuple form of coordinate.It is a simple struct with row and col keys.","ref":"Go.Coordinate.html","title":"Go.Coordinate","type":"module"},{"doc":"Returns a new Coordinate structure from a tuple","ref":"Go.Coordinate.html#from_tuple/1","title":"Go.Coordinate.from_tuple/1","type":"function"},{"doc":"Returns a list of new Coordinate structures from a list of tuples","ref":"Go.Coordinate.html#list_from_tuples/1","title":"Go.Coordinate.list_from_tuples/1","type":"function"},{"doc":"Returns a list of new tuples from a list of Coordinate structures","ref":"Go.Coordinate.html#list_to_tuples/1","title":"Go.Coordinate.list_to_tuples/1","type":"function"},{"doc":"Returns a new Coordinate structure it accepts:a tuple2 arguments (row, col)","ref":"Go.Coordinate.html#new/1","title":"Go.Coordinate.new/1","type":"function"},{"doc":"","ref":"Go.Coordinate.html#new/2","title":"Go.Coordinate.new/2","type":"function"},{"doc":"Returns a tuple from Coordinate structure","ref":"Go.Coordinate.html#to_tuple/1","title":"Go.Coordinate.to_tuple/1","type":"function"},{"doc":"","ref":"Go.Coordinate.html#t:col/0","title":"Go.Coordinate.col/0","type":"type"},{"doc":"","ref":"Go.Coordinate.html#t:row/0","title":"Go.Coordinate.row/0","type":"type"},{"doc":"","ref":"Go.Coordinate.html#t:t/0","title":"Go.Coordinate.t/0","type":"type"},{"doc":"Documentation for Go.GameThis is the main entity since version 0.2.0It manages the count (komi, captures) and history of turns. It manages superko ruleIt delegates rest of play to a current_boardJune 2017-2018, hfExamplesiex&gt; alias Go.Game iex&gt; game = Game.new iex&gt; {:ok, game} = game |&gt; Game.add_move({{3, 3}, :black}) iex&gt; {:ok, game} = game |&gt; Game.add_move({{16, 3}, :white}) iex&gt; {:ok, game} = game |&gt; Game.add_move({{3, 16}, :black}) iex&gt; {:ok, game} = game |&gt; Game.add_move({{16, 16}, :white}) iex&gt; current_board = game.current_board iex&gt; current_board.coordinates[{3, 3}] :black iex&gt; current_board.coordinates[{16, 16}] :white","ref":"Go.Game.html","title":"Go.Game","type":"module"},{"doc":"Add move to a game.","ref":"Go.Game.html#add_move/2","title":"Go.Game.add_move/2","type":"function"},{"doc":"","ref":"Go.Game.html#apply_action/2","title":"Go.Game.apply_action/2","type":"function"},{"doc":"Imports a game from sgf, does not persists nodes, just moves from main branch! and thus... does not save root node info","ref":"Go.Game.html#from_sgf/1","title":"Go.Game.from_sgf/1","type":"function"},{"doc":"Returns a new Game structure from an optional map or struct.","ref":"Go.Game.html#new/0","title":"Go.Game.new/0","type":"function"},{"doc":"","ref":"Go.Game.html#new/1","title":"Go.Game.new/1","type":"function"},{"doc":"Pass move.","ref":"Go.Game.html#pass/2","title":"Go.Game.pass/2","type":"function"},{"doc":"Place one stone on the game.","ref":"Go.Game.html#place_stone/3","title":"Go.Game.place_stone/3","type":"function"},{"doc":"","ref":"Go.Game.html#place_stone/4","title":"Go.Game.place_stone/4","type":"function"},{"doc":"","ref":"Go.Game.html#place_stones/3","title":"Go.Game.place_stones/3","type":"function"},{"doc":"Remove the stone at the given location.","ref":"Go.Game.html#remove_stone/2","title":"Go.Game.remove_stone/2","type":"function"},{"doc":"","ref":"Go.Game.html#remove_stones/2","title":"Go.Game.remove_stones/2","type":"function"},{"doc":"Reset the game, but keep size and komi","ref":"Go.Game.html#reset/1","title":"Go.Game.reset/1","type":"function"},{"doc":"Resign the game, status will change to is_over","ref":"Go.Game.html#resign/2","title":"Go.Game.resign/2","type":"function"},{"doc":"Returns the tally of the game","ref":"Go.Game.html#tally/1","title":"Go.Game.tally/1","type":"function"},{"doc":"Generate an ascii from current board game.","ref":"Go.Game.html#to_ascii/1","title":"Go.Game.to_ascii/1","type":"function"},{"doc":"Returns list from current board game.","ref":"Go.Game.html#to_list/1","title":"Go.Game.to_list/1","type":"function"},{"doc":"Exports a game to sgf, just returns moves played, no properties, comments!","ref":"Go.Game.html#to_sgf/1","title":"Go.Game.to_sgf/1","type":"function"},{"doc":"Like pass move, but does not change history state. Useful when parsing faulty variations in KJD.","ref":"Go.Game.html#toggle_turn/1","title":"Go.Game.toggle_turn/1","type":"function"},{"doc":"","ref":"Go.Game.html#t:t/0","title":"Go.Game.t/0","type":"type"},{"doc":"Documentation for Go.ParserAdd export/import from sgf data.Examplesiex&gt; filename = &quot;test/fixtures/example.sgf&quot; iex&gt; {:ok, sgf} = File.read filename iex&gt; {:ok, %Go.Parser.Tree{} = tree} = Go.Parser.parse sgf","ref":"Go.Parser.html","title":"Go.Parser","type":"module"},{"doc":"","ref":"Go.Parser.html#parse/1","title":"Go.Parser.parse/1","type":"function"},{"doc":"Documentation for Go.TurnThis entity is responsible for saving a turn in the game. It will persists:current_board before the move as fengo stringthe turn's movea list of additional actions, eg place/remove stone/sIt will be used to check for superko rule","ref":"Go.Turn.html","title":"Go.Turn","type":"module"},{"doc":"Returns a new turn from a map. Because of enforce_keys, You must pass key/val in the structure constructor","ref":"Go.Turn.html#new/1","title":"Go.Turn.new/1","type":"function"},{"doc":"","ref":"Go.Turn.html#t:move/0","title":"Go.Turn.move/0","type":"type"},{"doc":"","ref":"Go.Turn.html#t:t/0","title":"Go.Turn.t/0","type":"type"}]